#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x7be59160, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x1a137ef6, __VMLINUX_SYMBOL_STR(usbnet_nway_reset) },
	{ 0xd84562d0, __VMLINUX_SYMBOL_STR(usbnet_set_msglevel) },
	{ 0x21451f5c, __VMLINUX_SYMBOL_STR(usbnet_get_msglevel) },
	{ 0xf944f164, __VMLINUX_SYMBOL_STR(usbnet_set_settings) },
	{ 0x8572bf84, __VMLINUX_SYMBOL_STR(usbnet_get_settings) },
	{ 0xe791b729, __VMLINUX_SYMBOL_STR(usbnet_tx_timeout) },
	{ 0x3e17f53d, __VMLINUX_SYMBOL_STR(usbnet_change_mtu) },
	{ 0x953b695e, __VMLINUX_SYMBOL_STR(eth_validate_addr) },
	{ 0x1fc64e5b, __VMLINUX_SYMBOL_STR(usbnet_start_xmit) },
	{ 0xc9596f29, __VMLINUX_SYMBOL_STR(usbnet_stop) },
	{ 0xa308ea63, __VMLINUX_SYMBOL_STR(usbnet_open) },
	{ 0x425ec35c, __VMLINUX_SYMBOL_STR(usbnet_resume) },
	{ 0xb5acbd1c, __VMLINUX_SYMBOL_STR(usbnet_suspend) },
	{ 0xecf6a251, __VMLINUX_SYMBOL_STR(usbnet_disconnect) },
	{ 0xe27ea16f, __VMLINUX_SYMBOL_STR(usbnet_probe) },
	{ 0x8030440d, __VMLINUX_SYMBOL_STR(usb_deregister) },
	{ 0x981df729, __VMLINUX_SYMBOL_STR(usb_register_driver) },
	{ 0x524b3152, __VMLINUX_SYMBOL_STR(mii_nway_restart) },
	{ 0x50eedeb8, __VMLINUX_SYMBOL_STR(printk) },
	{ 0x3fdd6f2b, __VMLINUX_SYMBOL_STR(usbnet_get_endpoints) },
	{ 0xc23d774e, __VMLINUX_SYMBOL_STR(usbnet_link_change) },
	{ 0xfaf98462, __VMLINUX_SYMBOL_STR(bitrev32) },
	{ 0xa34f1ef5, __VMLINUX_SYMBOL_STR(crc32_le) },
	{ 0xfae9ef5d, __VMLINUX_SYMBOL_STR(netdev_err) },
	{ 0x4b399299, __VMLINUX_SYMBOL_STR(mutex_unlock) },
	{ 0xeae3dfd6, __VMLINUX_SYMBOL_STR(__const_udelay) },
	{ 0xe0e5d9f8, __VMLINUX_SYMBOL_STR(usbnet_write_cmd) },
	{ 0xa7ff5838, __VMLINUX_SYMBOL_STR(mutex_lock) },
	{ 0x4a619f83, __VMLINUX_SYMBOL_STR(memcpy) },
	{ 0xeb7790f3, __VMLINUX_SYMBOL_STR(usbnet_write_cmd_async) },
	{ 0x466ff8fc, __VMLINUX_SYMBOL_STR(usbnet_read_cmd) },
	{ 0xbcd7530a, __VMLINUX_SYMBOL_STR(generic_mii_ioctl) },
	{ 0x5ab056bc, __VMLINUX_SYMBOL_STR(usbnet_get_drvinfo) },
	{ 0xe92914e1, __VMLINUX_SYMBOL_STR(mii_link_ok) },
	{ 0x811ef900, __VMLINUX_SYMBOL_STR(__dynamic_netdev_dbg) },
	{ 0xfbdd4921, __VMLINUX_SYMBOL_STR(mii_ethtool_gset) },
	{ 0xa21ef234, __VMLINUX_SYMBOL_STR(mii_check_media) },
	{ 0xcc8a97f1, __VMLINUX_SYMBOL_STR(dev_err) },
	{ 0xa11a5782, __VMLINUX_SYMBOL_STR(skb_trim) },
	{ 0xa9f81cf1, __VMLINUX_SYMBOL_STR(skb_pull) },
	{ 0x8329e6f0, __VMLINUX_SYMBOL_STR(memset) },
	{ 0xaf62dd9a, __VMLINUX_SYMBOL_STR(__dev_kfree_skb_any) },
	{ 0xb91ad209, __VMLINUX_SYMBOL_STR(skb_copy_expand) },
	{ 0xb4390f9a, __VMLINUX_SYMBOL_STR(mcount) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,usbcore,mii";

MODULE_ALIAS("usb:v07AAp9601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p6688d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p0268d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p8515d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A47p9601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FE6p8101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FE6p9700d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9620d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9621d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9622d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p0269d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p1269d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "8B2420E93E78CEA9AB0E3DA");
